Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 614:a2d239d4438a
prev586:2a3ba82cf243
next635:76c63aac3590
next643:653b0a70f173
author nkeynes
date Fri Feb 08 11:30:04 2008 +0000 (16 years ago)
permissions -rw-r--r--
last change Bail out properly on read errors during a DMA cycle
file annotate diff log raw
1.1 --- a/configure Tue Jan 15 20:50:23 2008 +0000
1.2 +++ b/configure Fri Feb 08 11:30:04 2008 +0000
1.3 @@ -719,6 +719,8 @@
1.4 AUDIO_ESOUND_FALSE
1.5 CDROM_LINUX_TRUE
1.6 CDROM_LINUX_FALSE
1.7 +JOY_LINUX_TRUE
1.8 +JOY_LINUX_FALSE
1.9 SHCC
1.10 SHLD
1.11 SHOBJCOPY
1.12 @@ -6126,6 +6128,155 @@
1.13 fi
1.14
1.15
1.16 +if test "${ac_cv_header_linux_joystick_h+set}" = set; then
1.17 + { echo "$as_me:$LINENO: checking for linux/joystick.h" >&5
1.18 +echo $ECHO_N "checking for linux/joystick.h... $ECHO_C" >&6; }
1.19 +if test "${ac_cv_header_linux_joystick_h+set}" = set; then
1.20 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.21 +fi
1.22 +{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_joystick_h" >&5
1.23 +echo "${ECHO_T}$ac_cv_header_linux_joystick_h" >&6; }
1.24 +else
1.25 + # Is the header compilable?
1.26 +{ echo "$as_me:$LINENO: checking linux/joystick.h usability" >&5
1.27 +echo $ECHO_N "checking linux/joystick.h usability... $ECHO_C" >&6; }
1.28 +cat >conftest.$ac_ext <<_ACEOF
1.29 +/* confdefs.h. */
1.30 +_ACEOF
1.31 +cat confdefs.h >>conftest.$ac_ext
1.32 +cat >>conftest.$ac_ext <<_ACEOF
1.33 +/* end confdefs.h. */
1.34 +$ac_includes_default
1.35 +#include <linux/joystick.h>
1.36 +_ACEOF
1.37 +rm -f conftest.$ac_objext
1.38 +if { (ac_try="$ac_compile"
1.39 +case "(($ac_try" in
1.40 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.41 + *) ac_try_echo=$ac_try;;
1.42 +esac
1.43 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.44 + (eval "$ac_compile") 2>conftest.er1
1.45 + ac_status=$?
1.46 + grep -v '^ *+' conftest.er1 >conftest.err
1.47 + rm -f conftest.er1
1.48 + cat conftest.err >&5
1.49 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.50 + (exit $ac_status); } && {
1.51 + test -z "$ac_c_werror_flag" ||
1.52 + test ! -s conftest.err
1.53 + } && test -s conftest.$ac_objext; then
1.54 + ac_header_compiler=yes
1.55 +else
1.56 + echo "$as_me: failed program was:" >&5
1.57 +sed 's/^/| /' conftest.$ac_ext >&5
1.58 +
1.59 + ac_header_compiler=no
1.60 +fi
1.61 +
1.62 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.63 +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
1.64 +echo "${ECHO_T}$ac_header_compiler" >&6; }
1.65 +
1.66 +# Is the header present?
1.67 +{ echo "$as_me:$LINENO: checking linux/joystick.h presence" >&5
1.68 +echo $ECHO_N "checking linux/joystick.h presence... $ECHO_C" >&6; }
1.69 +cat >conftest.$ac_ext <<_ACEOF
1.70 +/* confdefs.h. */
1.71 +_ACEOF
1.72 +cat confdefs.h >>conftest.$ac_ext
1.73 +cat >>conftest.$ac_ext <<_ACEOF
1.74 +/* end confdefs.h. */
1.75 +#include <linux/joystick.h>
1.76 +_ACEOF
1.77 +if { (ac_try="$ac_cpp conftest.$ac_ext"
1.78 +case "(($ac_try" in
1.79 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.80 + *) ac_try_echo=$ac_try;;
1.81 +esac
1.82 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.83 + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.84 + ac_status=$?
1.85 + grep -v '^ *+' conftest.er1 >conftest.err
1.86 + rm -f conftest.er1
1.87 + cat conftest.err >&5
1.88 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.89 + (exit $ac_status); } >/dev/null && {
1.90 + test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
1.91 + test ! -s conftest.err
1.92 + }; then
1.93 + ac_header_preproc=yes
1.94 +else
1.95 + echo "$as_me: failed program was:" >&5
1.96 +sed 's/^/| /' conftest.$ac_ext >&5
1.97 +
1.98 + ac_header_preproc=no
1.99 +fi
1.100 +
1.101 +rm -f conftest.err conftest.$ac_ext
1.102 +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
1.103 +echo "${ECHO_T}$ac_header_preproc" >&6; }
1.104 +
1.105 +# So? What about this header?
1.106 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
1.107 + yes:no: )
1.108 + { echo "$as_me:$LINENO: WARNING: linux/joystick.h: accepted by the compiler, rejected by the preprocessor!" >&5
1.109 +echo "$as_me: WARNING: linux/joystick.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
1.110 + { echo "$as_me:$LINENO: WARNING: linux/joystick.h: proceeding with the compiler's result" >&5
1.111 +echo "$as_me: WARNING: linux/joystick.h: proceeding with the compiler's result" >&2;}
1.112 + ac_header_preproc=yes
1.113 + ;;
1.114 + no:yes:* )
1.115 + { echo "$as_me:$LINENO: WARNING: linux/joystick.h: present but cannot be compiled" >&5
1.116 +echo "$as_me: WARNING: linux/joystick.h: present but cannot be compiled" >&2;}
1.117 + { echo "$as_me:$LINENO: WARNING: linux/joystick.h: check for missing prerequisite headers?" >&5
1.118 +echo "$as_me: WARNING: linux/joystick.h: check for missing prerequisite headers?" >&2;}
1.119 + { echo "$as_me:$LINENO: WARNING: linux/joystick.h: see the Autoconf documentation" >&5
1.120 +echo "$as_me: WARNING: linux/joystick.h: see the Autoconf documentation" >&2;}
1.121 + { echo "$as_me:$LINENO: WARNING: linux/joystick.h: section \"Present But Cannot Be Compiled\"" >&5
1.122 +echo "$as_me: WARNING: linux/joystick.h: section \"Present But Cannot Be Compiled\"" >&2;}
1.123 + { echo "$as_me:$LINENO: WARNING: linux/joystick.h: proceeding with the preprocessor's result" >&5
1.124 +echo "$as_me: WARNING: linux/joystick.h: proceeding with the preprocessor's result" >&2;}
1.125 + { echo "$as_me:$LINENO: WARNING: linux/joystick.h: in the future, the compiler will take precedence" >&5
1.126 +echo "$as_me: WARNING: linux/joystick.h: in the future, the compiler will take precedence" >&2;}
1.127 +
1.128 + ;;
1.129 +esac
1.130 +{ echo "$as_me:$LINENO: checking for linux/joystick.h" >&5
1.131 +echo $ECHO_N "checking for linux/joystick.h... $ECHO_C" >&6; }
1.132 +if test "${ac_cv_header_linux_joystick_h+set}" = set; then
1.133 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.134 +else
1.135 + ac_cv_header_linux_joystick_h=$ac_header_preproc
1.136 +fi
1.137 +{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_joystick_h" >&5
1.138 +echo "${ECHO_T}$ac_cv_header_linux_joystick_h" >&6; }
1.139 +
1.140 +fi
1.141 +if test $ac_cv_header_linux_joystick_h = yes; then
1.142 +
1.143 + HAVE_LINUX_JOYSTICK_H=yes
1.144 +
1.145 +cat >>confdefs.h <<\_ACEOF
1.146 +#define HAVE_LINUX_JOYSTICK 1
1.147 +_ACEOF
1.148 +
1.149 +else
1.150 + echo "Linux Joystick support not found, building without it."
1.151 +fi
1.152 +
1.153 +
1.154 +
1.155 +
1.156 +if test "$HAVE_LINUX_JOYSTICK_H" = "yes"; then
1.157 + JOY_LINUX_TRUE=
1.158 + JOY_LINUX_FALSE='#'
1.159 +else
1.160 + JOY_LINUX_TRUE='#'
1.161 + JOY_LINUX_FALSE=
1.162 +fi
1.163 +
1.164 +
1.165 # Extract the first word of "sh-elf-gcc", so it can be a program name with args.
1.166 set dummy sh-elf-gcc; ac_word=$2
1.167 { echo "$as_me:$LINENO: checking for $ac_word" >&5
1.168 @@ -8095,6 +8246,13 @@
1.169 Usually this means the macro was only invoked conditionally." >&2;}
1.170 { (exit 1); exit 1; }; }
1.171 fi
1.172 +if test -z "${JOY_LINUX_TRUE}" && test -z "${JOY_LINUX_FALSE}"; then
1.173 + { { echo "$as_me:$LINENO: error: conditional \"JOY_LINUX\" was never defined.
1.174 +Usually this means the macro was only invoked conditionally." >&5
1.175 +echo "$as_me: error: conditional \"JOY_LINUX\" was never defined.
1.176 +Usually this means the macro was only invoked conditionally." >&2;}
1.177 + { (exit 1); exit 1; }; }
1.178 +fi
1.179 if test -z "${BUILD_SYSTEST_TRUE}" && test -z "${BUILD_SYSTEST_FALSE}"; then
1.180 { { echo "$as_me:$LINENO: error: conditional \"BUILD_SYSTEST\" was never defined.
1.181 Usually this means the macro was only invoked conditionally." >&5
1.182 @@ -8792,6 +8950,8 @@
1.183 AUDIO_ESOUND_FALSE!$AUDIO_ESOUND_FALSE$ac_delim
1.184 CDROM_LINUX_TRUE!$CDROM_LINUX_TRUE$ac_delim
1.185 CDROM_LINUX_FALSE!$CDROM_LINUX_FALSE$ac_delim
1.186 +JOY_LINUX_TRUE!$JOY_LINUX_TRUE$ac_delim
1.187 +JOY_LINUX_FALSE!$JOY_LINUX_FALSE$ac_delim
1.188 SHCC!$SHCC$ac_delim
1.189 SHLD!$SHLD$ac_delim
1.190 SHOBJCOPY!$SHOBJCOPY$ac_delim
1.191 @@ -8823,7 +8983,7 @@
1.192 LTLIBOBJS!$LTLIBOBJS$ac_delim
1.193 _ACEOF
1.194
1.195 - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 38; then
1.196 + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 40; then
1.197 break
1.198 elif $ac_last_try; then
1.199 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
.